﻿Public Class Form1

    'Name: gradeReport
    'Author: Lingma Acheson
    'Date: March 2nd, 2009
    'Purpose: To demonstrate the nested If/Else structures


    'This is a button click event to register what happens after the user entered a score and 
    'click on the convert button.
    Private Sub btnConvert_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnConvert.Click
        'Create two variables, one to store the integer score that the user entered
        'and another to store the converted letter grade before displaying to the user.
        Dim intScore As Integer
        Dim strLetterGrade As String

        'Convert what user entered in the textbox into an integer
        intScore = CInt(Me.txtScore.Text)

        '***************************************************
        'Demonstrate the nested If/Else structure
        '***************************************************
        If intScore >= 90 Then
            strLetterGrade = "A"
        Else
            If intScore >= 80 Then
                strLetterGrade = "B"
            Else
                If intScore >= 70 Then
                    strLetterGrade = "C"
                Else
                    If intScore >= 60 Then
                        strLetterGrade = "D"
                    Else
                        strLetterGrade = "F"
                    End If
                End If
            End If
        End If


        '************************************************************
        'This section shows the alternative nested If/Else structure.
        '************************************************************
        'If intScore >= 90 Then
        '    strLetterGrade = "A"
        'ElseIf intScore >= 80 Then
        '    strLetterGrade = "B"
        'ElseIf intScore >= 70 Then
        '    strLetterGrade = "C"
        'ElseIf intScore >= 60 Then
        '    strLetterGrade = "D"
        'Else
        '    strLetterGrade = "F"
        'End If


        'Finally, assign the letter grade to the text of the letter label.
        Me.lblLetter.Text = strLetterGrade

    End Sub
End Class
